# coding: utf-8
require "fritz/setup"
require "fritz/version"
require "thor"
require "thor/actions"
require "fritz/ping"
require 'fileutils'

module Fritz
  class Fritz < Thor
    include FileUtils
    include Thor::Shell
    include Thor::Actions

    desc "setup FOLDER", "Sets up a Fritz example configuration and log in the specified folder."
    def setup(folder)
      directory 'schedule', folder
    end

    desc "schedule", "Uses the config to schedule the monitoring tasks."
    def schedule
      %x{whenever -w}
    end

    # register(class_name, subcommand_alias, usage_list_string, description_string)
    register(Ping, "ping", "ping host(s) ADDRESS/LIST", "Type fritz ping for more information.")

    private

    def source_paths
      [$templates]
    end
  end
end
